summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/tcf-agent
diff options
context:
space:
mode:
authorIoana Grigoropol <ioanax.grigoropol@intel.com>2013-04-08 15:54:06 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-04-08 18:02:47 +0100
commit9dccc97bfcc237198e14985d49805890062e7c3a (patch)
tree772d3aa23ffe587bcd33ff17dc238555a0e4cac3 /meta/recipes-devtools/tcf-agent
parent02ae9b357676c904721d92a9c6f74ecc6b7a4476 (diff)
downloadast2050-yocto-poky-9dccc97bfcc237198e14985d49805890062e7c3a.zip
ast2050-yocto-poky-9dccc97bfcc237198e14985d49805890062e7c3a.tar.gz
tcf-agent: Use kill instead of killproc to stop agent
When shutting down a core-image-lsb-sdk image, there is a lot of time spend stopping tcf-agent, which slows down the whole process. The reason for this slowdown is the fact that it tries in a loop to kill tcf-agent service by using killproc with the path of the executable and killproc does not seem to available in lsb images. This patch fixes the issue by using "kill" instead of "killproc". [Yocto #3928] (From OE-Core rev: 251361eb78176a04e3da00e0f77b7f3ff459d571) Signed-off-by: Ioana Grigoropol <ioanax.grigoropol@intel.com> Signed-off-by: Bogdan Marinescu <bogdan.a.marinescu@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/tcf-agent')
-rw-r--r--meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch6
-rw-r--r--meta/recipes-devtools/tcf-agent/tcf-agent_git.bb2
2 files changed, 5 insertions, 3 deletions
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
index fefaf04..8ea5b43 100644
--- a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
+++ b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
@@ -13,7 +13,7 @@ Upstream-Status: Inappropriate [poky-specific script]
install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/services -m 644 services/*.h
--- /dev/null
+++ b/tcf-agent.init
-@@ -0,0 +1,78 @@
+@@ -0,0 +1,80 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: tcf-agent
@@ -50,14 +50,16 @@ Upstream-Status: Inappropriate [poky-specific script]
+ stop)
+ echo -n "Stopping $DAEMON_NAME: "
+ count=0
++ pid=$(/bin/pidof $DAEMON_PATH)
+ while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do
-+ killproc $DAEMON_PATH >& /dev/null
++ kill $pid > /dev/null 2>&1
+ sleep 1
+ RETVAL=$?
+ if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ sleep 3
+ fi
+ count=`expr $count + 1`
++ pid=$(/bin/pidof $DAEMON_PATH)
+ done
+ rm -f /var/lock/subsys/$DAEMON_NAME
+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb b/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb
index 4d43c62..ced2b41 100644
--- a/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb
+++ b/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb
@@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = "file://edl-v10.html;md5=522a390a83dc186513f0500543ad3679"
SRCREV = "4ef94ecb927a8912c3d79ce137182247786cff8f"
PV = "0.4.0+git${SRCPV}"
-PR = "r0"
+PR = "r1"
SRC_URI = "git://git.eclipse.org/gitroot/tcf/org.eclipse.tcf.agent.git;protocol=git \
file://fix_ranlib.patch \
OpenPOWER on IntegriCloud